Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1885648 - [Tracker for https://bugzilla.redhat.com/show_bug.cgi?id=1885700] FSTYPE for localvolumeset devices shows up as ext2 after uninstall
Summary: [Tracker for https://bugzilla.redhat.com/show_bug.cgi?id=1885700] FSTYPE for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: installation
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: OCS 4.6.0
Assignee: Raghavendra Talur
QA Contact: akarsha
URL:
Whiteboard:
Depends On: 1882630 1885700
Blocks: 1870061
TreeView+ depends on / blocked
 
Reported: 2020-10-06 15:35 UTC by Raghavendra Talur
Modified: 2021-06-01 08:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-17 06:24:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5605 0 None None None 2020-12-17 06:25:26 UTC

Description Raghavendra Talur 2020-10-06 15:35:16 UTC
Description of problem (please be detailed as possible and provide log
snippests):
The localVolumeSet devices that are part of a OCS cluster aren't available for reinstall.


Version of all relevant components (if applicable):
4.6

Does this issue impact your ability to continue to work with the product
(please explain in detail what is the user impact)?
Yes, re installation using the same devices isn't possible without manual intervention.


Steps to Reproduce:
1. Install OCS using LSO and localVolumeSet
2. Uninstal the OCS StorageCluster
3. Try installing again with the same devices.


Actual results:
The devices aren't available.

Expected results:
The devices should be available.

Comment 3 Mudit Agarwal 2020-10-07 14:33:53 UTC
We would have a fix for OCP 4.6, here is the corresponding BZ https://bugzilla.redhat.com/show_bug.cgi?id=1885700

Comment 4 Mudit Agarwal 2020-10-08 05:11:33 UTC
OCP BZ is in POST state for OCP 4.6, providing dev_ack for this one too.

Comment 8 Mudit Agarwal 2020-10-09 15:44:20 UTC
I don't think so, I have marked a Needinfo on OCP BZ for the same. Will wait for the response.

Comment 9 Michael Adam 2020-10-13 08:30:24 UTC
POST as an upstream LSO patch exists. But still debating whether it can go in 4.6.0 or 4.6.z

Comment 10 Mudit Agarwal 2020-10-30 04:36:53 UTC
Tracker BZ is now in MODIFIED state.

Comment 11 Mudit Agarwal 2020-11-02 03:53:50 UTC
OCP BZ is ON_QA

Comment 15 akarsha 2020-12-02 15:59:04 UTC
Performed on vmware lso based cluster

Version:

OCP: 4.6.0-0.nightly-2020-12-02-035622
OCS: ocs-operator.v4.6.0-183.ci
Ceph: 14.2.8-111.el8cp (2e6029d57bc594eceba4751373da6505028c2650) nautilus (stable)
{
    "mon": {
        "ceph version 14.2.8-111.el8cp (2e6029d57bc594eceba4751373da6505028c2650) nautilus (stable)": 3
    },
    "mgr": {
        "ceph version 14.2.8-111.el8cp (2e6029d57bc594eceba4751373da6505028c2650) nautilus (stable)": 1
    },
    "osd": {
        "ceph version 14.2.8-111.el8cp (2e6029d57bc594eceba4751373da6505028c2650) nautilus (stable)": 3
    },
    "mds": {
        "ceph version 14.2.8-111.el8cp (2e6029d57bc594eceba4751373da6505028c2650) nautilus (stable)": 2
    },
    "rgw": {
        "ceph version 14.2.8-111.el8cp (2e6029d57bc594eceba4751373da6505028c2650) nautilus (stable)": 2
    },
    "overall": {
        "ceph version 14.2.8-111.el8cp (2e6029d57bc594eceba4751373da6505028c2650) nautilus (stable)": 11
    }
}

Steps performed
http://rhsqe-repo.lab.eng.blr.redhat.com/OCS/ocs-qe-bugs/BZ-1885648/steps_performed

OCS Logs
http://rhsqe-repo.lab.eng.blr.redhat.com/OCS/ocs-qe-bugs/BZ-1885648/ocs-must-gather/

Was able to uninstall OCS and install again on same devices. Cluster is healthy after installing OCS again.
So moving bz to verified state.

Comment 17 errata-xmlrpc 2020-12-17 06:24:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat OpenShift Container Storage 4.6.0 security, bug fix, enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5605


Note You need to log in before you can comment on or make changes to this bug.